
element state {
  attribute value { xsd:int },
  attribute strValue { text },
  element value {
      ( attribute value { "-1" },
        attribute strValue { "NOT READY" }) |
      ( attribute value { "-2" },
        attribute strValue { "ERROR" }) |
      ( attribute value { xsd:unsignedInt },
        attribute strValue { text })
  } *,
  element error { ## Deprecated error (for backward compatibility)
      attribute active { "true" | "false" },
      attribute code { xsd:int },
      text ?
  },
  element errors { ## Active errors
      element error {
          attribute code { xsd:int },
          text ?
      } *
  },
  element warnings { ## Active warnings
      element warning {
          attribute code { xsd:int },
          text ?
      } *
  }
}
